<?php //$Id$
    require_once($CFG->libdir .'/rsslib.php');
?>
<table cellpadding="9" cellspacing="0">
<tr valign="top">
    <td align="right">block_rss_client_num_entries:</td>
    <td>
    <input name="block" type="hidden" value="<?php echo intval($_REQUEST['block']); ?>" />
    <input name="block_rss_client_num_entries" type="text" size="5" value="<?php 
        if(isset($CFG->block_rss_client_num_entries)) {
            p($CFG->block_rss_client_num_entries);
        } else {
            p(5);
        } ?>" />
    </td>
    <td>
        <?php print_string('clientnumentries', 'block_rss_client') ?>
    </td>
</tr>

<tr valign="top">
    <td align="right">block_rss_timeout:</td>
    <td>
    <input name="block_rss_timeout" type="text" size="5" value="<?php 
        if(isset($CFG->block_rss_timeout)) {
            p($CFG->block_rss_timeout);
        } else {
            p(10);
        } ?>" />
    </td>
    <td>
        <?php print_string('timeout', 'block_rss_client') ?>
    </td>
</tr>

<tr valign="top">
    <td align="right">block_rss_client_submitters:</td>
    <td>
        <?php if (!empty($CFG->block_rss_client_submitters)) {
                        $selected = $CFG->block_rss_client_submitters;
                } else {
                       $selected = '0';
                       $CFG->block_rss_client_submitters = 0;
                }

                // removed everybody option for 1.5 beta
                // things are not quite working yet to allow this - revisit later
                // also 'everybody' should be 'site members' or something clearer since
                // it does not include guests
                $options = array ( 
                                  SUBMITTERS_ALL_ACCOUNT_HOLDERS => get_string('everybody'),
                                  SUBMITTERS_ADMIN_ONLY => get_string('administrators'),
                                  SUBMITTERS_ADMIN_AND_TEACHER => get_string('administratorsandteachers') );

                choose_from_menu ($options, 'block_rss_client_submitters', $selected);
        ?>
    </td>
    <td>
        <?php print_string('submitters', 'block_rss_client') ?>
    </td>
</tr>

<tr>
    <td colspan="3" align="center">
    <input type="submit" value="<?php print_string('savechanges') ?>" /></td>
</tr>
<tr>
    <td colspan="3" align="center"><a href=" <?php echo $CFG->wwwroot; ?>/blocks/rss_client/block_rss_client_action.php?id=<?php 
    if (!isset($id)) {
        $id = '';
    }
    echo $id; ?>"><?php print_string('feedsaddedit', 'block_rss_client')?></a><br /><br />
    </td>
    </tr>
</table>
